dc1394basler_sff_extended_data_stream_t Struct Reference

`#include <dc1394/vendor/basler_sff.h>`

## Detailed Description

This structure is used to capture the SFF extended data stream chunk. According to the Basler manuals the extended data stream chunk also contains to members pixel_data and gap of variable size; these members are ignored in this API because they can be obtained from other sources. The pixel_data member which is the actual image frame is all data from the beginning of the frame buffer until width*height*bytes_per_pixel bytes. The gap is required on some cameras for technical reason but not used otherwise. The size of the gap can be computed by computing frame_size - sizeof all chunks - image_size.

The documentation for this struct was generated from the following file:

- dc1394/vendor/basler_sff.h